diff --git a/src/backend/postmaster/autovacuum.c b/src/backend/postmaster/autovacuum.c
new file mode 100644
index b4af697..56e8d35
*** a/src/backend/postmaster/autovacuum.c
--- b/src/backend/postmaster/autovacuum.c
*************** table_recheck_autovac(Oid relid, HTAB *t
*** 2515,2520 ****
--- 2515,2531 ----
  		int			vac_cost_limit;
  		int			vac_cost_delay;
  
+ 		if (update_process_title)
+ 		{
+ 			char		activitymsg[50];
+ 
+ 			snprintf(activitymsg, sizeof(activitymsg), "%s.%s.%s", 
+ 					get_database_name(MyDatabaseId),
+ 					get_namespace_name(classForm->relnamespace),
+ 					NameStr(classForm->relname));
+ 			set_ps_display(activitymsg, false);
+ 		}
+ 
  		/*
  		 * Calculate the vacuum cost parameters and the freeze ages.  If there
  		 * are options set in pg_class.reloptions, use them; in the case of a
